Bug 911049

Summary: Review Request: nodejs-revalidator - A cross-browser/Node.js validator used by resourceful
Product: [Fedora] Fedora Reporter: Jamie Nguyen <jamielinux>
Component: Package ReviewAssignee: Marcelo Barbosa "firemanxbr" <marcelo.barbosa>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: echevemaster, marcelo.barbosa, notting, package-review
Target Milestone: ---Flags: marcelo.barbosa: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: nodejs-revalidator-0.1.5-1.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-06-27 13:21:26 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 956806, 911046    

Description Jamie Nguyen 2013-02-14 09:48:23 UTC
Spec URL: http://jamielinux.fedorapeople.org/buddycloud-server/nodejs-revalidator.spec
SRPM URL: http://jamielinux.fedorapeople.org/buddycloud-server/SRPMS/nodejs-revalidator-0.1.5-1.fc18.src.rpm
Fedora Account System Username: jamielinux

Description:
A cross-browser/Node.js validator used by resourceful.

Comment 1 Marcelo Barbosa "firemanxbr" 2013-06-27 05:52:21 UTC
Jamie,

   Good work again.

- Outputs for rpmlint are false positives. 

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 4 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-revalidator-0.1.5-1.fc20.noarch.rpm
nodejs-revalidator.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-revalidator.noarch: W: spelling-error Summary(en_US) validator -> lavatorial
nodejs-revalidator.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-revalidator.noarch: W: spelling-error %description -l en_US validator -> lavatorial
nodejs-revalidator.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-revalidator
nodejs-revalidator.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-revalidator.noarch: W: spelling-error Summary(en_US) validator -> lavatorial
nodejs-revalidator.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-revalidator.noarch: W: spelling-error %description -l en_US validator -> lavatorial
nodejs-revalidator.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 5 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-revalidator (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-revalidator:
    nodejs-revalidator
    npm(revalidator)



Source checksums
----------------
http://registry.npmjs.org/revalidator/-/revalidator-0.1.5.tgz :
  CHECKSUM(SHA256) this package     : 54938a414b54882f9459e93b9bfd5d267c41985c1191a9a913c713e369ec639e
  CHECKSUM(SHA256) upstream package : 54938a414b54882f9459e93b9bfd5d267c41985c1191a9a913c713e369ec639e


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 911049 -m fedora-rawhide-x86_64

----------------

PACKAGE APPROVED

----------------


Follow the process from: 
https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Add_Package_to_Source_Code_Management_.28SCM.29_system_and_Set_Owner


If you have any questions , feel free to contact me through my email or in the irc channel #fedora-devel, my nick is firemanxbr

Comment 2 Jamie Nguyen 2013-06-27 06:35:17 UTC
New Package SCM Request
=======================
Package Name: nodejs-revalidator
Short Description: A cross-browser/Node.js validator used by resourceful
Owners: jamielinux patches
Branches: f18 f19 el6
InitialCC:

Comment 3 Gwyn Ciesla 2013-06-27 11:11:51 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2013-06-27 13:14:34 UTC
nodejs-revalidator-0.1.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-revalidator-0.1.5-1.fc19

Comment 5 Fedora Update System 2013-06-27 13:15:09 UTC
nodejs-revalidator-0.1.5-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-revalidator-0.1.5-1.fc18

Comment 6 Fedora Update System 2013-06-27 13:15:41 UTC
nodejs-revalidator-0.1.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-revalidator-0.1.5-1.el6

Comment 7 Fedora Update System 2013-07-06 00:59:44 UTC
nodejs-revalidator-0.1.5-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 8 Fedora Update System 2013-07-07 01:36:16 UTC
nodejs-revalidator-0.1.5-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 9 Fedora Update System 2013-07-13 20:15:32 UTC
nodejs-revalidator-0.1.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository.